Package org.apache.tapestry5.internal.services

## Class AjaxPageClassComponentEventResultProcessor

- java.lang.Object
- - org.apache.tapestry5.internal.services.AjaxPageClassComponentEventResultProcessor

- All Implemented Interfaces:
    `ComponentEventResultProcessor<java.lang.Class>`

      public class AjaxPageClassComponentEventResultProcessor
      extends java.lang.Object
      implements ComponentEventResultProcessor<java.lang.Class>

  Processes a Class result by converting the Class to a logical page name, then processing that.
  See Also:
    `ComponentSource`, `AjaxPageNameComponentEventResultProcessor`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AjaxPageClassComponentEventResultProcessor​(ComponentSource componentSource, ComponentEventResultProcessor masterProcessor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `processResultValue​(java.lang.Class value)` | For a given, non-null return value from a component event method, construct and send a response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxPageClassComponentEventResultProcessor

          public AjaxPageClassComponentEventResultProcessor​(ComponentSource componentSource,
                                                            @Ajax
                                                            ComponentEventResultProcessor masterProcessor)

  - ### Method Detail

    - #### processResultValue

          public void processResultValue​(java.lang.Class value)
                                  throws java.io.IOException

      Description copied from interface: `ComponentEventResultProcessor`
      For a given, non-null return value from a component event method, construct and send a response. Starting in release 5.4, it is recommended that for any response that involves Tapestry pages or components, the implementation should create an `IOOperation` to do the rendering, and add the operation to the `Request` as attribute `TapestryConstants.RESPONSE_RENDERER`. This avoids a number of issues related to the `Environment`.
      Specified by:
        `processResultValue` in interface `ComponentEventResultProcessor<java.lang.Class>`
      Parameters:
        `value` - the value returned from a method
      Throws:
        `java.io.IOException`